package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.MusicGroupPaymentCalenderCourseSettings;
import com.ym.mec.biz.dal.entity.MusicGroupSubjectGoodsGroup;

import java.math.BigDecimal;
import java.util.List;

public class MusicGroupApplyGoodsDto {
    //订单金额
    BigDecimal orderAmount = BigDecimal.ZERO;

    BigDecimal remitFee = BigDecimal.ZERO; //乐器减免金额

    BigDecimal courseRemitFee = BigDecimal.ZERO; //课程减免费用

    boolean remitCourseRFeeFlag = false; //减免课程费用标识

    private Integer organId;

    //乐器及打包辅件价格
    List<MusicGroupSubjectGoodsGroup> goodsGroups;

    //乐团课
    List<MusicGroupPaymentCalenderCourseSettings> newCourses;

    public List<MusicGroupPaymentCalenderCourseSettings> getNewCourses() {
        return newCourses;
    }

    public void setNewCourses(List<MusicGroupPaymentCalenderCourseSettings> newCourses) {
        this.newCourses = newCourses;
    }

    public List<MusicGroupSubjectGoodsGroup> getGoodsGroups() {
        return goodsGroups;
    }

    public void setGoodsGroups(List<MusicGroupSubjectGoodsGroup> goodsGroups) {
        this.goodsGroups = goodsGroups;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public BigDecimal getOrderAmount() {
        return orderAmount;
    }

    public void setOrderAmount(BigDecimal orderAmount) {
        this.orderAmount = orderAmount;
    }

    public BigDecimal getRemitFee() {
        return remitFee;
    }

    public void setRemitFee(BigDecimal remitFee) {
        this.remitFee = remitFee;
    }

    public BigDecimal getCourseRemitFee() {
        return courseRemitFee;
    }

    public void setCourseRemitFee(BigDecimal courseRemitFee) {
        this.courseRemitFee = courseRemitFee;
    }

    public boolean isRemitCourseRFeeFlag() {
        return remitCourseRFeeFlag;
    }

    public void setRemitCourseRFeeFlag(boolean remitCourseRFeeFlag) {
        this.remitCourseRFeeFlag = remitCourseRFeeFlag;
    }
}
